PAN to Udyam
curl --request POST \
--url https://api.privue.ai/pan/v1/to-udyam.4 \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"pan": "<string>"
}
'import requests
url = "https://api.privue.ai/pan/v1/to-udyam.4"
payload = { "pan": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({pan: '<string>'})
};
fetch('https://api.privue.ai/pan/v1/to-udyam.4', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"reasons": [],
"details": {
"pan": "AAACE1234F",
"enterprise_data": {
"udyam_reg_no": "UDYAM-MH-19-0012345",
"major_activity": "Services",
"enterprise_type": "Small",
"organization_type": "Private Limited Company",
"official_name": "EXAMPLE TECHNOLOGIES PRIVATE LIMITED",
"official_mobile": "98*****210",
"official_email": "compliance@example.com",
"official_address": {
"door_no": "UNIT 402",
"building": "TECH PARK",
"area": "ANDHERI EAST",
"block": "ANDHERI",
"street": "ANDHERI KURLA ROAD",
"city": "MUMBAI",
"district": "MUMBAI SUBURBAN",
"state": "MAHARASHTRA",
"pincode": "400093"
},
"date_of_incorporation": "2015-04-01",
"date_of_commencement": "2015-04-01",
"date_of_udyam_registration": "2021-02-08",
"district_industries_center": "MUMBAI SUBURBAN",
"dfo": "MUMBAI",
"social_category": "General"
},
"industry": [
{
"industry_code": "62 - Computer programming, consultancy and related activities",
"sub_sector_code": "6201 - Computer programming activities",
"branch_sub_sector_code": "62011 - Writing, modifying, testing of computer program to meet the needs of a particular client",
"activity_type": "Services",
"date": "2021-02-08"
}
],
"branch_address": [
{
"name": "EXAMPLE TECHNOLOGIES PRIVATE LIMITED",
"address": {
"door_no": "UNIT 402",
"building": "TECH PARK",
"area": "ANDHERI EAST",
"block": "ANDHERI",
"street": "ANDHERI KURLA ROAD",
"city": "MUMBAI",
"district": "MUMBAI SUBURBAN",
"state": "MAHARASHTRA",
"pincode": "400093"
}
}
],
"pdf_url": null
}
}
Checks
PAN to Udyam
Read the enterprise registered under a PAN from the MSME registry.
POST
/
pan
/
v1
/
to-udyam.4
PAN to Udyam
curl --request POST \
--url https://api.privue.ai/pan/v1/to-udyam.4 \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"pan": "<string>"
}
'import requests
url = "https://api.privue.ai/pan/v1/to-udyam.4"
payload = { "pan": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({pan: '<string>'})
};
fetch('https://api.privue.ai/pan/v1/to-udyam.4', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"reasons": [],
"details": {
"pan": "AAACE1234F",
"enterprise_data": {
"udyam_reg_no": "UDYAM-MH-19-0012345",
"major_activity": "Services",
"enterprise_type": "Small",
"organization_type": "Private Limited Company",
"official_name": "EXAMPLE TECHNOLOGIES PRIVATE LIMITED",
"official_mobile": "98*****210",
"official_email": "compliance@example.com",
"official_address": {
"door_no": "UNIT 402",
"building": "TECH PARK",
"area": "ANDHERI EAST",
"block": "ANDHERI",
"street": "ANDHERI KURLA ROAD",
"city": "MUMBAI",
"district": "MUMBAI SUBURBAN",
"state": "MAHARASHTRA",
"pincode": "400093"
},
"date_of_incorporation": "2015-04-01",
"date_of_commencement": "2015-04-01",
"date_of_udyam_registration": "2021-02-08",
"district_industries_center": "MUMBAI SUBURBAN",
"dfo": "MUMBAI",
"social_category": "General"
},
"industry": [
{
"industry_code": "62 - Computer programming, consultancy and related activities",
"sub_sector_code": "6201 - Computer programming activities",
"branch_sub_sector_code": "62011 - Writing, modifying, testing of computer program to meet the needs of a particular client",
"activity_type": "Services",
"date": "2021-02-08"
}
],
"branch_address": [
{
"name": "EXAMPLE TECHNOLOGIES PRIVATE LIMITED",
"address": {
"door_no": "UNIT 402",
"building": "TECH PARK",
"area": "ANDHERI EAST",
"block": "ANDHERI",
"street": "ANDHERI KURLA ROAD",
"city": "MUMBAI",
"district": "MUMBAI SUBURBAN",
"state": "MAHARASHTRA",
"pincode": "400093"
}
}
],
"pdf_url": null
}
}
Authorizations
Your API key, sent as Authorization: Bearer <your-key>.
Body
application/json
The PAN to search the registries under.
Permanent Account Number to search under
Pattern:
^[A-Z]{3}[ABCFGHJLPT][A-Z][0-9]{4}[A-Z]$Response
Successful Response
The enterprise registered under a PAN in the MSME registry; details is null when it holds none.
